package com.zhentao.order.controller;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.zhentao.order.domain.Passengers;
import com.zhentao.order.dto.PassengersDto;
import com.zhentao.order.service.PassengersService;
import com.zhentao.vo.Result;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@RestController
@RequestMapping("passengers")
public class PassengersController {
    @Autowired
    private PassengersService service;
//    添加身份信息
    @PostMapping("add")
    public Result add(@RequestBody Passengers passengers){
        boolean save = service.save(passengers);
        return Result.OK(save,"添加成功");
    }
//    查询出当前用户所添加的乘客信息
    @PostMapping("list")
    public Result add(@RequestBody PassengersDto passengers){
        return Result.OK(service.findAll(passengers),"添加成功");
    }
}
